#include<bits/stdc++.h>
using namespace std;
long long N,Q,A[200005],B[200005],m;
bool b[200005];

long long BT(long long x) {
  long long levi=1;
  long long desni=N;
  while (levi<=desni) {
    long long srednji=(levi+desni)/2;
    if (A[srednji]==x) return srednji;
      else if (A[srednji]<x) levi = srednji + 1;
        else desni = srednji - 1;
   }
   return 0;
}
int main(){
  cin>>N>>Q;
  for(int i =1;i<=N;i++){
    cin>>A[i];
  }
  for(int i = 1;i<=Q;i++){
    cin>>B[i];
    b[i]=false;
  }
  sort(A+1,A+N+1);
  for(int i = 1;i<=N;i++){
    for(int j = 1;j<=Q;j++){
      if(A[i]==B[j]) {
          b[j]=true;
      }
    }
  }
  for(int j = 1;j<=Q;j++){
    if(b[j]){
      cout<<abs((N/2+1) - BT(B[j]))<<endl;
    }
    else{
      if(B[j]>A[N]){
          cout<<N<<endl;
      }
    }
  }
  return 0;
}